/* Mesure du temps dans un programme Java        */

public class MesurerLeTempsEnConsole {

/* Programme principal                           */

  public static void main(String [] args) {
    Console.setTitle("MesurerLeTemps");
    /* Temps ecoule depuis le  1/1/70 0h GMT     */
    long t = System.currentTimeMillis();
    Console.afficherln(t," ms depuis le 1/1/70 0h GMT");
    Console.formater("%d j, %d h, %d mn, %d s, %d ms\n",
                   t/1000/60/60/24,
                   (t/1000/60/60)%24,
                   (t/1000/60)%60,
                   (t/1000)%60,
                   t%1000);
    Console.sautDeLigne();
    /* Temps ecoule entre deux appels successifs */
    /* a System.currentTimeMillis()              */
    /* Dix executions successives                */
    for ( int cpt = 0 ; cpt < 10 ; cpt++ ) {
      long t1 = System.currentTimeMillis();
      long t2 = System.currentTimeMillis();
      Console.formater("%d-%d = %d ms\n",t1,t2,t2-t1); }
    Console.sautDeLigne();
    /* Temps ecoule entre deux appels            */
    /* a System.currentTimeMillis()              */
    /* avec "quelque chose" entre                */
    /* Dix executions successives                */
    long j = 0;
    for ( int cpt = 0 ; cpt < 10 ; cpt++ ) {
      long t1 = System.currentTimeMillis();
      for ( long i = 0L ; i < 1000000000L ; i++ ) {
        j++; }
      long t2 = System.currentTimeMillis();
      Console.formater("%d-%d = %d ms\n",t1,t2,t2-t1); }
  }
}